Package edu.hws.jcm.awt

# Interface Limits

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CoordinateRect`, `LimitControlPanel`

public interface Limits extends Serializable
The Limits interface is implemented by edu.hws.jcm.data.CoordinateRect and by other objects that can be "Tied" to a CoordinateRect, such as LimitControlPanel. This will be used to synchronize the (x,y) limits on the CoordinateRect with limit values obtained elsewhere. See the Tie class for more information.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getLimits()`
Return a 4-element array containing xmin, xmax, ymin, and ymax.
`void`
`setLimits(double[] limits)`
Set the current limits.

## Method Details

### getLimits

double[] getLimits()
Return a 4-element array containing xmin, xmax, ymin, and ymax.

### setLimits

void setLimits(double[] limits)
Set the current limits.

Parameters:
  `A` - 4-element array containing the new xmin, xmax, ymin, and ymax.